// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// '.controllers' is found in controllers.js
//angular.module('b4zaar', ['ionic', 'b4zaar.controllers', 'b4zaar.services', 'b4zaar.directives'])

//angular.module('b4zaar', ['ionic', 'b4zaar.controllers', 'b4zaar.services', 'ngCordova'])
angular.module('b4zaar', ['ionic', 'angularMoment', 'b4zaar.controllers', 'b4zaar.services'])
    //.run(function ($ionicPlatform, $cordovaPush) {
    .run(function ($ionicPlatform) {

        /*window.addEventListener('filePluginIsReady', function () {
            console.log('File plugin is ready');
         }, false); */

        $ionicPlatform.ready(function () {

            //$cordova.file.slice(10, 30).then(success, error);
            // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
            // for form inputs)
            if (window.cordova && window.cordova.plugins.Keyboard) {
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
            }
            if (window.StatusBar) {
                // org.apache.cordova.statusbar required
                StatusBar.styleDefault();
            }
            /*if (window.cordova && window.cordova.plugins.File) {
                console.log("Exists file PLUGIN");

            } else {
                console.log("NOT Exists file PLUGIN");
                console.log(window.cordova.plugins.toString());
             }*/

        });
    })

    .config(function ($stateProvider, $urlRouterProvider) {
        $stateProvider

            .state('app', {
                url: "/app",
                abstract: true,
                templateUrl: "templates/menu.html",
                controller: 'AppCtrl'
            })

            .state('app.products', {
                url: "/products",
                views: {
                    'menuContent': {
                        templateUrl: "templates/products.html",
                        controller: 'ProductsCtrl'
                    }
                }
            })

            .state('app.product', {
                url: "/products/:productId",
                views: {
                    'menuContent': {
                        templateUrl: "templates/product.html",
                        controller: 'ProductCtrl'
                    }
                }
            })
            .state('app.publish', {
                url: "/publish",
                //cache: false,
                views: {
                    'menuContent': {
                        templateUrl: "templates/publish.html",
                        controller: 'ProductAddCtrl'
                    }
                }
            })
            .state('app.newdiag', {
                url: "/newdialog/:productId",
                //cache: false,
                views: {
                    'menuContent': {
                        templateUrl: "templates/adddialog.html",
                        controller: 'DialogAddCtrl'
                    }
                }
            })
            .state('app.dialogs', {
                url: "/dialogs",
                //cache: false,
                views: {
                    'menuContent': {
                        templateUrl: "templates/dialogs.html",
                        controller: 'DialogsCtrl'
                    }
                }
            })
            .state('app.dialog', {
                url: "/dialogs/:dialogId",
                //cache: false,
                views: {
                    'menuContent': {
                        templateUrl: "templates/dialog.html",
                        controller: 'DialogCtrl'
                    }
                }
            });
        // if none of the above states are matched, use this as the fallback
        $urlRouterProvider.otherwise('/app/products');
    });
